/*
 * mailled version 0.1
 * Copyright 2008 Jocke Andersson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses>.
 */
#include <stdio.h>
#include <string.h>

#define VERSION "0.2 (2008-02-11)"

int main(int argc, char* argv[]) {
	int value = 0;
	if (argc == 2) {
		if (strcmp(argv[1],"on") == 0) {
			value = '1';
		} else if (strcmp(argv[1],"off") == 0) {
			value = '0';
		}
	}
	if (value == 0) {
		printf("MailLED, version %s\n\nUsage:\n"
			"    %s on\t(turn the LED on)\n"
			"    %s off\t(turn the LED off)\n", VERSION, argv[0], argv[0]);
		return 1;
	}

	//Use "a" (append) in case some nutjob specifies a crazy LED_FILE. 
	FILE* f = fopen(LED_FILE, "a");
	if (!f) {
		fprintf(stderr, "Failed to open '%s' for writing!\n",
				LED_FILE);
		return 1;
	} else {
		fputc(value, f);
		fclose(f);
	}

	return 0;
}
